lkml.org 
[lkml]   [2017]   [Sep]   [1]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectSMB3 security upgrade -fix warning messages on CIFS mount when mounting to older servers
There have been some questions about the upgrade of the default client
dialect for cifs.ko from CIFS (SMB1) to SMB3 (discussed in earlier
email threads), but also requests for clarification of some of the
warning messages relating to the default dialect upgrade. While
additional changes can be made in mount.cifs to make the warnings
clearer, this patch adds additional warnings to the kernel cifs.ko
code, and clarifies the kernel log message when the server does not
support the requested dialect. See

https://git.samba.org/?p=sfrench/cifs-2.6.git;a=commit;h=7e682f766f289887c5cbf7c0a1e4970103f01ac4

Additional changes are planned in 4.14 to make this easier, and to
improve the SMB3.1.1 support which is important for multiple reasons,
not just for security improvements but also for the proposed POSIX
extensions.
--
Thanks,

Steve

\
 
 \ /
  Last update: 2017-09-01 07:39    [W:0.025 / U:0.176 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site